#!/bin/bash
control_c()        # run if user hits control-c
{
 echo  > lastreadsong
 echo "Exiting..."
 exit
}
if [ -e lastreadsong ]; then
  read filetodelete < lastreadsong
  rm "$filetodelete" lastreadsong
fi
find . -type f -regextype posix-awk -iregex '.*\.(mp3|ogg|flac|wma)' | while read i
do
  trap 'control_c "$OUTF"' SIGINT
  TEMP="${i%.*}.mood"
  OUTF=`echo "$TEMP" | sed 's#\(.*\)/\([^,]*\)#\1/.\2#'`
  if [ ! -e "$OUTF" ]; then
    moodbar -o "$OUTF" "$i"
  fi
done
